complexType "TradeNotionalChange"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 13 elements
Defined: | globally in fpml-business-events-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | eventIdentifier*, (tradeIdentifier* | originalTrade?), agreementDate?, executionDateTime?, effectiveDate?, payment?, ((changeInNotionalAmount?, outstandingNotionalAmount?) | (changeInNumberOfOptions?, outstandingNumberOfOptions?) | (changeInNumberOfUnits?, outstandingNumberOfUnits?))
</...>

Content Model Elements (13):

  agreementDate,
  changeInNotionalAmount,
  changeInNumberOfOptions,
  changeInNumberOfUnits,
  effectiveDate (defined in AgreementAndEffectiveDates.model group),
  eventIdentifier (defined in AbstractEvent complexType),
  executionDateTime (defined in AgreementAndEffectiveDates.model group),
  originalTrade,
  outstandingNotionalAmount (defined in TradeNotionalChange complexType),
  outstandingNumberOfOptions (defined in TradeNotionalChange complexType),
  outstandingNumberOfUnits (defined in TradeNotionalChange complexType),
  payment (defined in TradeAlterationPayment.model group),
  tradeIdentifier (defined in TradeChangeBase complexType)

All Direct / Indirect Based Elements (2):

  increase, termination

Known Usage Locations

- As direct type of elements (2):
  increase, termination

Annotation
A structure describing a change to the trade notional.
Type Definition Detail

Type Derivation Tree AbstractEvent (extension) TradeChangeBase (extension) TradeNotionalChange

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="TradeNotionalChange"> <xsd:complexContent> <xsd:extension base="TradeChangeBase"> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="changeInNotionalAmount" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="outstandingNotionalAmount" type="Money"/> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="changeInNumberOfOptions" type="xsd:decimal"/> <xsd:element minOccurs="0" name="outstandingNumberOfOptions" type="xsd:decimal"/> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="changeInNumberOfUnits" type="xsd:decimal"/> <xsd:element minOccurs="0" name="outstandingNumberOfUnits" type="xsd:decimal"/> </xsd:sequence> </xsd:choice> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/13)
changeInNotionalAmount

  Type: | NonNegativeMoney, complex content

  Specifies the fixed amount by which the Notional Amount changes. The direction of the change (increase or decrease) is specified by the event type (Termination => reduction, Increase => greater.)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="changeInNotionalAmount" type="NonNegativeMoney"/>

changeInNumberOfOptions

  Type: | xsd:decimal, predefined, simple content

  Specifies the fixed amount by which the Number of Options changes
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="changeInNumberOfOptions" type="xsd:decimal"/>

changeInNumberOfUnits

  Type: | xsd:decimal, predefined, simple content

  Specifies the fixed amount by which the Number of Units changes
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="changeInNumberOfUnits" type="xsd:decimal"/>

outstandingNotionalAmount

  Type: | Money, complex content

  Specifies the Notional amount after the Change
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="outstandingNotionalAmount" type="Money"/>

outstandingNumberOfOptions

  Type: | xsd:decimal, predefined, simple content

  Specifies the Number of Options after the Change.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="outstandingNumberOfOptions" type="xsd:decimal"/>

outstandingNumberOfUnits

  Type: | xsd:decimal, predefined, simple content

  Specifies the Number of Units
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="outstandingNumberOfUnits" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.